Package org.eclipse.debug.ui.console

# Class FileLink

java.lang.Object
org.eclipse.debug.ui.console.FileLink

All Implemented Interfaces:
  `IConsoleHyperlink`, `IHyperlink`

public class FileLink extends Object implements IConsoleHyperlink
A hyperlink that opens a file in a text editor and selects a range of text. This hyperlink action will un-zoom the workbench as needed to show the editor for the associated link.

Clients may instantiate this class.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`FileLink(IFile file, String editorId, int fileOffset, int fileLength, int fileLineNumber)`
Constructs a hyperlink to the specified file.

## Method Summary

Modifier and Type
Method
Description
`void`
`linkActivated()`
Notification that this link has been activated.
`void`
`linkEntered()`
Notification that the mouse has entered this link's region.
`void`
`linkExited()`
Notification that the mouse has exited this link's region

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileLink

public FileLink(IFile file, String editorId, int fileOffset, int fileLength, int fileLineNumber)
Constructs a hyperlink to the specified file.

Parameters:
  `file` - the file to open when activated
  `editorId` - the identifier of the editor to open the file in, or `null` if the default editor should be used
  `fileOffset` - the offset in the file to select when activated, or -1
  `fileLength` - the length of text to select in the file when activated or -1
  `fileLineNumber` - the line number to select in the file when activated, or -1. First line number is 1. Only used if fileOffset is not set.

## Method Details

### linkActivated

public void linkActivated()
Description copied from interface: `IHyperlink`
Notification that this link has been activated. Performs context specific linking.

Specified by:
  `linkActivated` in interface `IHyperlink`

### linkEntered

public void linkEntered()
Description copied from interface: `IHyperlink`
Notification that the mouse has entered this link's region.

Specified by:
  `linkEntered` in interface `IHyperlink`

### linkExited

public void linkExited()
Description copied from interface: `IHyperlink`
Notification that the mouse has exited this link's region

Specified by:
  `linkExited` in interface `IHyperlink`